Get yesterday's extraction report (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /admin/report/last-day-report

Returns yesterday's extraction attempts per code, the extraction codes created yesterday with their progress, and the data-source collections of the day; each part is null when there was nothing. Super admin only.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • extractions object | null

        Extraction attempts per code; null when there were none.

        Hide extractions attribute Show extractions attribute object | null
        • extractionCodes array[object]
          Hide extractionCodes attributes Show extractionCodes attributes object
          • extractionCode string
          • codeCreatedByEmail string
          • custodian string
          • custodianEmail string
          • caseName string
          • orgName string
          • hasBackupCompleted boolean
          • hasConversationShared boolean
          • dueDate string | null

            MM/DD/YYYY.

          • deviceType string
          • totalAttempt number
          • totalSuccessAttempt number
          • totalErrorAttempt number
          • failedReasons string
          • isOldDevice number

            Values are 0 or 1.

      • newCodes object | null

        Extraction codes created that day; null when there were none.

        Hide newCodes attribute Show newCodes attribute object | null
        • extractionCodes array[object]
          Hide extractionCodes attributes Show extractionCodes attributes object
          • extractionCode string
          • codeCreatedByEmail string
          • custodian string
          • custodianEmail string
          • caseName string
          • orgName string
          • hasBackupCompleted boolean
          • hasConversationShared boolean
          • dueDate string | null

            MM/DD/YYYY.

          • organizationPlan string
          • attachedDataSources string
          • dataSourcesTotal number
          • dataSourcesCompleted number
      • dataSources object | null

        Data-source collections that day; null when there were none.

        Hide dataSources attribute Show dataSources attribute object | null
        • rows array[object]
          Hide rows attributes Show rows attributes object
          • sourceName string
          • displayName string
          • category string
          • sourceType string
          • status string
          • caseName string
          • orgName string
          • custodian string
          • extractionCode string
          • itemsCount number
          • totalSize number
          • createdBy string
          • createdAt string(date-time)
    • statusCode number Required
    • timestamp string(date-time) Required
GET /admin/report/last-day-report
curl \
 --request GET 'http://api.example.com/admin/report/last-day-report' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "extractions": {
      "extractionCodes": [
        {
          "extractionCode": "AB12CD",
          "codeCreatedByEmail": "paralegal@example.com",
          "custodian": "Jane Doe",
          "custodianEmail": "jane.doe@example.com",
          "caseName": "Doe v. Roe",
          "orgName": "Example Firm",
          "hasBackupCompleted": true,
          "hasConversationShared": false,
          "dueDate": "01/31/2026",
          "deviceType": "ios",
          "totalAttempt": 2,
          "totalSuccessAttempt": 1,
          "totalErrorAttempt": 1,
          "failedReasons": "Backup interrupted",
          "isOldDevice": 0
        }
      ]
    },
    "newCodes": {
      "extractionCodes": [
        {
          "extractionCode": "AB12CD",
          "codeCreatedByEmail": "paralegal@example.com",
          "custodian": "Jane Doe",
          "custodianEmail": "jane.doe@example.com",
          "caseName": "Doe v. Roe",
          "orgName": "Example Firm",
          "hasBackupCompleted": true,
          "hasConversationShared": false,
          "dueDate": "01/31/2026",
          "organizationPlan": "Pay as you go",
          "attachedDataSources": "Phone, Email",
          "dataSourcesTotal": 2,
          "dataSourcesCompleted": 1
        }
      ]
    },
    "dataSources": {
      "rows": [
        {
          "sourceName": "gmail",
          "displayName": "Gmail",
          "category": "email",
          "sourceType": "email",
          "status": "completed",
          "caseName": "Doe v. Roe",
          "orgName": "Example Firm",
          "custodian": "Jane Doe",
          "extractionCode": "AB12CD",
          "itemsCount": 340,
          "totalSize": 52428800,
          "createdBy": "paralegal@example.com",
          "createdAt": "2026-01-15T10:15:00.000Z"
        }
      ]
    }
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}